org.wso2.extension.siddhi.execution.ml.samoa.utils.classification

## Class StreamingClassificationEntranceProcessor

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.SourceProcessor
  - - org.wso2.extension.siddhi.execution.ml.samoa.utils.classification.StreamingClassificationEntranceProcessor

- All Implemented Interfaces:
    com.github.javacliparser.Configurable, Serializable, org.apache.samoa.core.EntranceProcessor, org.apache.samoa.core.Processor

      public class StreamingClassificationEntranceProcessor
      extends SourceProcessor

  Streaming Classification Entrance Processor
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.SourceProcessor

      `delay, finished, firstInstance, maxEvents, numberOfInstancesSent, schedule, timer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingClassificationEntranceProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.samoa.core.Processor` | `newProcessor(org.apache.samoa.core.Processor p)`
    `org.apache.samoa.core.ContentEvent` | `nextEvent()`

    - ### Methods inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.SourceProcessor

      `getDataset, getStreamSource, hasNext, hasReachedEndOfStream, increaseReadyEventIndex, isFinished, nextInstance, onCreate, process, setDelayBatchSize, setMaxEvents, setSourceDelay, setStreamSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamingClassificationEntranceProcessor

          public StreamingClassificationEntranceProcessor()

  - ### Method Detail

    - #### nextEvent

          public org.apache.samoa.core.ContentEvent nextEvent()

      Specified by:
        `nextEvent` in interface `org.apache.samoa.core.EntranceProcessor`
      Specified by:
        `nextEvent` in class `SourceProcessor`

    - #### newProcessor

          public org.apache.samoa.core.Processor newProcessor(org.apache.samoa.core.Processor p)

      Specified by:
        `newProcessor` in interface `org.apache.samoa.core.Processor`
      Specified by:
        `newProcessor` in class `SourceProcessor`

Copyright © 2017 WSO2. All rights reserved.